%define hordedir /usr/share/horde

Summary:        PEAR: A simple Inventory App for Horde

Name:           horde-sesha
Version:        1.0.0RC3
Release:        1.lux.1
License:        ASL
Group:          Productivity/Networking/Web/Utilities
Source0:        http://pear.horde.org/get/sesha-%{version}.tgz
Source100:	horde-sesha.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/sesha
BuildRequires:	php-pear >= 1.7.0
Requires:       horde >= 5.0.0, php-pear >= 1.7.0
#BuildRequires:  php-pear-Horde-Role php-pear-channel-horde
Requires:       horde
Requires:       horde-content
Requires:       php-gd php-pecl-imagick
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Auth >= 2.0.0
Requires:	php-pear-Horde-Auth <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Auth = 3.0.0alpha1
Requires:	php-pear-Horde-Autoloader >= 2.0.0
Requires:	php-pear-Horde-Autoloader <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Autoloader = 3.0.0alpha1
Requires:	php-pear-Horde-Core >= 2.0.0
Requires:	php-pear-Horde-Core <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Core = 3.0.0alpha1
Requires:	php-pear-Horde-Db >= 2.0.0
Requires:	php-pear-Horde-Db <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Db = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Form >= 2.0.0
Requires:	php-pear-Horde-Form <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Form = 3.0.0alpha1
Requires:	php-pear-Horde-Perms >= 2.0.0
Requires:	php-pear-Horde-Perms <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Perms = 3.0.0alpha1
Requires:	php-pear-Horde-Prefs >= 2.0.0
Requires:	php-pear-Horde-Prefs <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Prefs = 3.0.0alpha1
Requires:	php-pear-Horde-Rdo >= 2.0.0
Requires:	php-pear-Horde-Rdo <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Rdo = 3.0.0alpha1
Requires:	horde >= 5.0.0
Requires:	horde <= 6.0.0alpha1
Conflicts:	horde = 6.0.0alpha1
BuildArch:      noarch

%description
Sesha allows you to define categories with a rich set of attributes to manage your inventory stock

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{hordedir} \
        -s

%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
cp -p %{SOURCE100} $RPM_BUILD_ROOT/etc/httpd/conf.d/horde-sesha.conf
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/sesha ] && mv %{buildroot}/%{_docdir}/sesha %{buildroot}/%{_docdir}/%{name}-%{version}
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/sesha.xml

pushd $RPM_BUILD_ROOT%{hordedir}/sesha/config
if ls *.dist &>/dev/null ; then
	for d in *.dist; do
		d0=`basename $d .dist`
			if [ ! -f "$d0" ]; then
			cp -p $d $d0
		fi
	done
else
	echo Pacchetto ancora in alpha, non ci sono i file .dist
	cp -p prefs.php prefs.php.dist
fi
popd

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/sesha.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/sesha
fi

%files
%defattr(-,root,root)
%config(noreplace)  /etc/httpd/conf.d/horde-sesha.conf
%doc %{_docdir}/%{name}-%{version}
#%{pear_phpdir}/data/sesha
%{pear_phpdir}/test/sesha
%{pear_xmldir}/sesha.xml
%{hordedir}/sesha
%attr(0770,root,apache) %dir %{hordedir}/sesha/config
%attr(0660,root,apache) %config(noreplace) %{hordedir}/sesha/config/*.php
/usr/bin/sesha-add-stock

%changelog
